Bug 133525 - Please add the 3w-9xxx driver to modules.cgz and adjust pcitable
Summary: Please add the 3w-9xxx driver to modules.cgz and adjust pcitable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-24 17:00 UTC by Dax Kelson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 16:32:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dax Kelson 2004-09-24 17:00:47 UTC
Description of problem:

Fedora Core 3 Test 2 and current rawhide (Sep 24th) won't install onto
a 3ware 9000 series RAID controller. This is trivially correctable as
the driver is in the kernel.


1) The FC3test2 kernel (and older versions too) have the 3w-9xxx
module, it just needs to be included in the modules.cgz.

2) The pcitable file needs the following entry added to it:
0x13c1  0x1002  "3w-9xxx"  (or just grab pcitable from hwdata-0.132-1
or newer)

3) Add the following to module-info
3w-9xxx
        scsi
        "3ware 9000 Series Storage Controller"


Things that don't need changing (they are already OK):

modules.dep
pci.ids

Comment 1 Jeremy Katz 2004-09-24 17:03:38 UTC
Added to CVS (at which point, the pcitable will automagically get the
new entries; we trim the pcitable to just have the modules we include)


Note You need to log in before you can comment on or make changes to this bug.